Bug 492113 - (mingw32-glibmm24) Review Request: mingw32-glibmm24 - MinGW Windows C++ interface for GTK2 (a GUI library for X)
Review Request: mingw32-glibmm24 - MinGW Windows C++ interface for GTK2 (a GU...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On: 454410 mingw32-libsigc++20
Blocks: mingw32-libxml++
  Show dependency treegraph
 
Reported: 2009-03-25 09:08 EDT by Thomas Sailer
Modified: 2009-04-07 11:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.19.2-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 11:49:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
rpmlint output (24.32 KB, text/plain)
2009-04-05 03:28 EDT, Mattias Ellert
no flags Details

  None (edit)
Description Thomas Sailer 2009-03-25 09:08:42 EDT
Spec URL: http://sailer.fedorapeople.org/mingw32-glibmm24.spec
SRPM URL: http://sailer.fedorapeople.org/mingw32-glibmm24-2.19.2-1.fc11.src.rpm
Description:
MinGW Windows C++ interface for GTK2 (a GUI library for X)

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 1 Mattias Ellert 2009-04-05 03:27:13 EDT
Fedora review mingw32-glibmm24-2.19.2-1.fc11.src.rpm 2008-04-05

* OK
! needs attention

* rpmlint output
  Only expected Errors/Warnings from a mingw package

* Package is named according to Fedora mingw packaging guidelines

* Spec file is named as the package

* Package follows the Fedora mingw packaging guidelines

* The stated license (LGPLv2+) is a Fedora approved license

* The stated license is the same as the one for the corresponding
  Fedora package

* The package contains the license file (COPYING)

* The spec file is written in legible English

* Sources matches upstream

9915c92a5a4b55fc2696bedf0d7af4cb  glibmm-2.19.2.tar.bz2
9915c92a5a4b55fc2696bedf0d7af4cb  SRPM/glibmm-2.19.2.tar.bz2

  Accoding to guidelines the version should match the version of the
  corresponding Fedora package - which it does. (It looks like there
  is an update of the corresponding Fedora package to 2.20.0 in
  preparation - the glibmm24 spec in CVS has been updated, so look
  out for that.)

  Fedora 10 has 2.18.1 (in case a Fedora 10 package is planned)

* Package builds in mock (Fedora 10)

* BuildRequires look sane

* Owns the directories it creates

* No duplicate files

* %files has %defattr

* %clean clears %buildroot

* Specfile uses macros consistently

* Package does not own other's directories

* %install clears %buildroot

* Installed filenames are valid UTF8
Comment 2 Mattias Ellert 2009-04-05 03:28:26 EDT
Created attachment 338205 [details]
rpmlint output
Comment 3 Mattias Ellert 2009-04-05 03:29:01 EDT
Package approved.
Comment 4 Thomas Sailer 2009-04-06 07:45:50 EDT
New Package CVS Request
=======================
Package Name: mingw32-glibmm24
Short Description: MinGW Windows C++ interface for GTK2 (a GUI library for X)
Owners: sailer rjones
Branches: F-10
InitialCC:
Comment 5 Kevin Fenzi 2009-04-06 23:22:39 EDT
cvs done.
Comment 6 Fedora Update System 2009-04-07 02:29:08 EDT
mingw32-glibmm24-2.19.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-glibmm24-2.19.2-1.fc10
Comment 7 Fedora Update System 2009-04-07 11:49:14 EDT
mingw32-glibmm24-2.19.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.